<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  messages.php                                             ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	define("CHARSET", "utf-8");
	// date messages
	define("YEAR_MSG", "Rok");
	define("YEARS_QTY_MSG", "{quantity} rokov");
	define("MONTH_MSG", "Mesiac");
	define("MONTHS_QTY_MSG", "{quantity} mesiacov");
	define("DAY_MSG", "Deň");
	define("DAYS_MSG", "Dni");
	define("DAYS_QTY_MSG", "{quantity} dní");
	define("HOUR_MSG", "Hodina");
	define("HOURS_QTY_MSG", "{quantity} hodín");
	define("MINUTE_MSG", "Minúta");
	define("MINUTES_QTY_MSG", "{quantity} minút");
	define("SECOND_MSG", "Sekunda");
	define("SECONDS_QTY_MSG", "{quantity} sekúnd");
	define("WEEK_MSG", "Week");
	define("WEEKS_QTY_MSG", "{quantity} týždňov");
	define("TODAY_MSG", "Dnes");
	define("YESTERDAY_MSG", "Včera");
	define("LAST_7DAYS_MSG", "Posledných 7 dní");
	define("THIS_MONTH_MSG", "Tento mesiac");
	define("LAST_MONTH_MSG", "Minulý mesiac");
	define("THIS_QUARTER_MSG", "Tento štvrťrok");
	define("THIS_YEAR_MSG", "Tento rok");
	define("CURRENT_DATE_MSG", "Dnešný dátum");
	define("CURRENT_TIME_MSG", "Current Time");
	define("DATE_MSG", "Date");

	// months
	define("JANUARY", "Január");
	define("FEBRUARY", "Február");
	define("MARCH", "Marec");
	define("APRIL", "Apríl");
	define("MAY", "Máj");
	define("JUNE", "Jún");
	define("JULY", "Júl");
	define("AUGUST", "August");
	define("SEPTEMBER", "September");
	define("OCTOBER", "Október");
	define("NOVEMBER", "November");
	define("DECEMBER", "December");

	define("JANUARY_SHORT", "Jan");
	define("FEBRUARY_SHORT", "Feb");
	define("MARCH_SHORT", "Mar");
	define("APRIL_SHORT", "Apr");
	define("MAY_SHORT", "Máj");
	define("JUNE_SHORT", "Jún");
	define("JULY_SHORT", "Júl");
	define("AUGUST_SHORT", "Aug");
	define("SEPTEMBER_SHORT", "Sep");
	define("OCTOBER_SHORT", "Okt");
	define("NOVEMBER_SHORT", "Nov");
	define("DECEMBER_SHORT", "Dec");

	// weekdays
	define("SUNDAY", "Nedeľa");
	define("MONDAY", "Pondelok");
	define("TUESDAY", "Útorok");
	define("WEDNESDAY", "Streda");
	define("THURSDAY", "Štvrtok");
	define("FRIDAY", "Piatok");
	define("SATURDAY", "Sobota");

	define("SUNDAY_SHORT", "Ne");
	define("MONDAY_SHORT", "Po");
	define("TUESDAY_SHORT", "Ut");
	define("WEDNESDAY_SHORT", "St");
	define("THURSDAY_SHORT", "Št");
	define("FRIDAY_SHORT", "Pi");
	define("SATURDAY_SHORT", "So");

	// validation messages
	define("REQUIRED_MESSAGE", "<b>{field_name}</b> je povinné");
	define("UNIQUE_MESSAGE", "Hodnota v poli <b>{field_name}</b>sa už v databáze nachádza.");
	define("VALIDATION_MESSAGE", "Kontrola pre pole {field_name} zlyhala");
	define("MATCHED_MESSAGE", "<b>{field_one}</b> a <b>{field_two}</b> sa nezhodujú");
	define("INSERT_ALLOWED_ERROR", "Nemáte povolené vkladať");
	define("UPDATE_ALLOWED_ERROR", "Nemáte povolené upravovať");
	define("DELETE_ALLOWED_ERROR", "Nemáte povolené mazať");
	define("ALPHANUMERIC_ALLOWED_ERROR", "Only alpha-numeric characters, hyphen and underscore are allowed for field <b>{field_name}</b>");
	define("CORRECT_ERRORS_BELOW_MSG", "Please correct the errors below before continuing.");
	define("CORRECT_HIGHLIGHTED_FIELDS_MSG", "Please fill in all highlighted fields with correct values.");

	define("INCORRECT_DATE_MESSAGE", "<b>{field_name}</b> má nesprávnu hodnotu dátumu. Použite kalendárne dátumy.");
	define("INCORRECT_MASK_MESSAGE", "<b>{field_name}</b> sa nezhoduje s maskou. Použite nasledovnú '<b>{field_mask}</b>'");
	define("INCORRECT_EMAIL_MESSAGE", "Nesprávny tvar e-mailu v poli {field_name}");
	define("INCORRECT_VALUE_MESSAGE", "Nesprávna hodnota v poli <b>{field_name}</b>");

	define("MIN_VALUE_MESSAGE", "Hodnota v poli <b>{field_name}</b> nemôže byť menšia ako {min_value}");
	define("MAX_VALUE_MESSAGE", "Hodnota v poli <b>{field_name}</b> nemôže byť väčšia ako {max_value}");
	define("MIN_LENGTH_MESSAGE", "Dĺžka v poli <b>{field_name}</b> nemôže byť menšia ako {min_length} znakov");
	define("MAX_LENGTH_MESSAGE", "Dĺžka v poli <b>{field_name}</b> nemôže byť väčšia ako {max_length} znakov");
	define("MIN_MAX_VALUE_MSG", "Please enter a value between {min_value} and {max_value}.");


	define("FILE_PERMISSION_MESSAGE", "Nemám právo na zápis do súboru <b>'{file_name}'</b>. Pred pokračovaním prosím zmenťe prístupové práva súboru ");
	define("FOLDER_PERMISSION_MESSAGE", "Nemám právo na zápis do adresára <b>'{folder_name}'</b>. Pred pokračovaním prosím zmenťe prístupové práva adresára");
	define("INVALID_EMAIL_MSG", "Váš e-mail je neplatný");
	define("DATABASE_ERROR_MSG", "Vyskytla sa chyba databázy");
	define("BLACK_IP_MSG", "Táto akcia je z tohoto počítača zakázaná.");
	define("BANNED_CONTENT_MSG", "Prepáčte, odoslanyý obsah obsahuje nedovolený výraz.");
	define("ERRORS_MSG", "Chyby");
	define("REGISTERED_ACCESS_MSG", "Túto možnosť majú prístupnú len registrovaní užívatelia.");
	define("SELECT_FROM_LIST_MSG", "Vyberte zo zoznamu");

	// titles 
	define("TOP_RATED_TITLE", "Najlepšie hodnotené");
	define("TOP_VIEWED_TITLE", "Najviac čítané");
	define("RECENTLY_VIEWED_TITLE", "Naposledy prezerané");
	define("HOT_TITLE", "-  Novinky");
	define("LATEST_TITLE", "Najnovšie");
	define("CONTENT_TITLE", "Obsah");
	define("RELATED_TITLE", "Súvisiaci");
	define("SEARCH_TITLE", "Hľadať");
	define("ADVANCED_SEARCH_TITLE", "Rozšírené vyhľadávanie");
	define("LOGIN_TITLE", "Prihláste sa");
	define("CATEGORIES_TITLE", "Kategórie");
	define("MANUFACTURERS_TITLE", "Výrobcovia");
	define("SPECIAL_OFFER_TITLE", "Špeciálna ponuka");
	define("NEWS_TITLE", "Novinky");
	define("EVENTS_TITLE", "Udalosti");
	define("PROFILE_TITLE", "Profil");
	define("USER_HOME_TITLE", "Domovská stránka");
	define("DOWNLOAD_TITLE", "Uložiť");
	define("FAQ_TITLE", "Často kladené otázky");
	define("POLL_TITLE", "Anketa");
	define("HOME_PAGE_TITLE", "Domovská stránka");
	define("CURRENCY_TITLE", "Mena");
	define("SUBSCRIBE_TITLE", "Zaregistrovať");
	define("UNSUBSCRIBE_TITLE", "Odregistrovať");
	define("UPLOAD_TITLE", "Nahrať");
	define("ADS_TITLE", "Inzercia");
	define("ADS_COMPARE_TITLE", "Porovnanie inzercie");
	define("ADS_SELLERS_TITLE", "Predávajúci");
	define("AD_REQUEST_TITLE", "Poslať ponuku / otázka inzerujúcemu");
	define("LANGUAGE_TITLE", "Jazyky");
	define("MERCHANTS_TITLE", "Predajcovia");
	define("PREVIEW_TITLE", "Náhľad");
	define("ARTICLES_TITLE", "Články");
	define("SITE_MAP_TITLE", "Mapa stránky");
	define("LAYOUTS_TITLE", "Vzhľady");
	define("LINKS_TITLE", "Odkazy");
	define("PROFILES_TITLE", "Profiles");
	define("DATING_TITLE", "Dating");
	define("RANDOM_TITLE", "Random");
	define("AUTHORS_MSG", "Authors");
	define("AUTHOR_MSG", "Author");
	define("ALBUMS_MSG", "Albums");
	define("ALBUM_MSG", "Album");

	// menu items
	define("MENU_MSG", "Menu");
	define("MENU_ABOUT", "O nás");
	define("MENU_ACCOUNT", "Vaše konto");
	define("MENU_BASKET", "Váš košík");
	define("MENU_CONTACT", "Kontaktujte nás");
	define("MENU_DOCUMENTATION", "Dokumentácia");
	define("MENU_DOWNLOADS", "Na stiahnutie");
	define("MENU_EVENTS", "Udalosti");
	define("MENU_FAQ", "Často kladené otázky");
	define("MENU_FORUM", "Fórum");
	define("MENU_HELP", "Pomoc");
	define("MENU_HOME", "Domov");
	define("MENU_HOW", "Ako nakupovať");
	define("MENU_MEMBERS", "Členovia");
	define("MENU_MYPROFILE", "Môj profil");
	define("MENU_NEWS", "Novinky");
	define("MENU_PRIVACY", "Ochrana údajov");
	define("MENU_PRODUCTS", "Produkty");
	define("MENU_REGISTRATION", "Registrácia");
	define("MENU_SHIPPING", "Doručenie");
	define("MENU_SIGNIN", "Prihlásiť");
	define("MENU_SIGNOUT", "Odhlásiť");
	define("MENU_SUPPORT", "Podpora");
	define("MENU_USERHOME", "Stránka užívateľa");
	define("MENU_ADS", "Zaradená inzercia");
	define("MENU_ADMIN", "Administrácia");
	define("MENU_KNOWLEDGE", "Databáza \"Knowledge Base\"");
	define("NAVIGATION_BAR_MSG", "Navigation Bar");
	define("MAIN_PAGES_MSG", "Main Pages");

	// main terms
	define("NO_MSG", "Nie");
	define("YES_MSG", "Áno");
	define("NOT_AVAILABLE_MSG", "Nieje k dispozícii");
	define("MORE_MSG", "Viac...");
	define("READ_MORE_MSG", "Čítať viac...");
	define("ADD_MORE_MSG", "Add more");
	define("CLICK_HERE_MSG", "Kliknite sem");
	define("ENTER_YOUR_MSG", "Vložte Váš");
	define("CHOOSE_A_MSG", "Vyberte");
	define("PLEASE_CHOOSE_MSG", "Prosím vyberte");
	define("SELECT_MSG", "Označiť");
	define("DATE_FORMAT_MSG", "Použite nasledovný formát: <b>{date_format}</b>");
	define("NEXT_PAGE_MSG", "Ďalšia");
	define("PREV_PAGE_MSG", "Predošlá");
	define("FIRST_PAGE_MSG", "Prvá");
	define("LAST_PAGE_MSG", "Posledná");
	define("OF_PAGE_MSG", "Z");
	define("TOP_CATEGORY_MSG", "Na vrch");
	define("SEARCH_IN_CURRENT_MSG", "Tejto kategórii");
	define("SEARCH_IN_ALL_MSG", "Všetkých kategóriách");
	define("FOUND_IN_MSG", "Nájdených v");
	define("TOTAL_VIEWS_MSG", "Zobrazení");
	define("VOTES_MSG", "Hlasov");
	define("TOTAL_VOTES_MSG", "Spolu hlasov");
	define("TOTAL_POINTS_MSG", "Spolu bodov");
	define("VIEW_RESULTS_MSG", "Zobraziť výsledky");
	define("PREVIOUS_POLLS_MSG", "Predošlé ankety");
	define("TOTAL_MSG", "Spolu");
	define("CLOSED_MSG", "Zatvorená");
	define("CLOSE_WINDOW_MSG", "Zatvoriť okno");
	define("ASTERISK_MSG", "Hviezdička (*) - povinné pole");
	define("PROVIDE_INFO_MSG", "Prosím vyplnťe hodnoty v červeno označených poliach a kliknite '{button_name}'");
	define("FOUND_ARTICLES_MSG", "Našiel som <b>{found_records}</b> článkov obsahujúcich výraz(y) '<b>{search_string}</b>'");
	define("NO_ARTICLE_MSG", "Článok s týmto ID nieje k dispozícii");
	define("NO_ARTICLES_MSG", "Žiadne články neboli nájdené");
	define("COMMENT_MSG", "Comment");
	define("NOTES_MSG", "Poznámky");
	define("KEYWORDS_MSG", "Kľúčové slová");
	define("TAGS_MSG", "Tags");
	define("TAG_MSG", "Tag");
	define("LINK_URL_MSG", "Linka");
	define("DOWNLOAD_URL_MSG", "Stiahnuť");
	define("SUBSCRIBE_FORM_MSG", "Ak chcete dostávať naše novinky e-mailom prosím vyplnťe Vašu e-mailovú adresu do políčka dolu a stlačte tlačítko '{button_name}'.");
	define("UNSUBSCRIBE_FORM_MSG", "Prosím napíšte Vašu e-mailovú adresu do políčka dolu a stlačte tlačítko '{button_name}' .");
	define("SUBSCRIBE_LINK_MSG", "Zaregistrovať");
	define("UNSUBSCRIBE_LINK_MSG", "Odregistrovať");
	define("SUBSCRIBED_MSG", "Gratulujeme! Úspešne ste sa zaregistrovali pre zasielanie noviniek.");
	define("ALREADY_SUBSCRIBED_MSG", "Už ste zaregistrovaní pre zasielanie noviniek. Ďakujeme.");
	define("UNSUBSCRIBED_MSG", "Úspešne ste sa odregistrovali zo zasielania noviniek.");
	define("UNSUBSCRIBED_ERROR_MSG", "Ľutujeme, ale nemôžeme nájsť Vašu e-mailovú adresu v našej databáze; pravdepodobne ste sa už odregistrovali zo zasielania noviniek.");
	define("FORGOT_PASSWORD_MSG", "Zabudli ste heslo?");
	define("FORGOT_PASSWORD_DESC", "Prosím vyplňte Vašu e-mailovú adresu, ktorú ste zadali pri registrácii:");
	define("FORGOT_EMAIL_ERROR_MSG", "Ľutujeme, ale nemôžeme nájsť Vašu e-mailovú adresu v našej databáze.");
	define("FORGOT_EMAIL_SENT_MSG", "Informácie o prihlásení boli odoslané na Vašu e-mailovú adresu.");
	define("RESET_PASSWORD_REQUIRE_MSG", "Niektoré vyžadované hodnoty chýbajú.");
	define("RESET_PASSWORD_PARAMS_MSG", "Vami zadané hodnoty sa nezhodujú s hodnotami v našej databáze.");
	define("RESET_PASSWORD_EXPIRY_MSG", "Reset kód, ktorý ste zadali vypršal. Prosím vyžiadajte si nový kód pre zmenu Vášho hesla.");
	define("RESET_PASSWORD_SAVED_MSG", "Vaše nové heslo bolo úspešne uložené.");
	define("PRINTER_FRIENDLY_MSG", "Verzia pre tlač");
	define("PRINT_PAGE_MSG", "Vytlačiť stranu");
	define("ATTACHMENTS_MSG", "Prílohy");
	define("ATTACHMENT_MSG", "Príloha");
	define("VIEW_DETAILS_MSG", "Zobraziť detaily");
	define("HTML_MSG", "HTML");
	define("PLAIN_TEXT_MSG", "Obyčajný Text");
	define("META_DATA_MSG", "Meta Dáta");
	define("META_TITLE_MSG", "Názov stránky (Page title)");
	define("META_KEYWORDS_MSG", "Meta Keywords");
	define("META_DESCRIPTION_MSG", "Meta Description");
	define("FRIENDLY_URL_MSG", "Friendly URL");
	define("IMAGES_MSG", "Obrázky");
	define("IMAGE_MSG", "Obrázok");
	define("TINY_MSG", "Tiny");
	define("IMAGE_TINY_MSG", "Najmenší obrázok");
	define("IMAGE_TINY_ALT_MSG", "Najmenší obrázok Alt");
	define("SMALL_MSG", "Small");
	define("IMAGE_SMALL_MSG", "Malý obrázok");
	define("IMAGE_SMALL_DESC", "zobrazený na stránke zoznamu produktov");
	define("IMAGE_SMALL_ALT_MSG", "Malý obrázok Alt");
	define("LARGE_MSG", "Large");
	define("IMAGE_LARGE_MSG", "Veľký obrázok");
	define("IMAGE_LARGE_DESC", "zobrazený na detailnej stránke produktu");
	define("IMAGE_LARGE_ALT_MSG", "veľký obrázok Alt");
	define("SUPERSIZED_MSG", "Supersized");
	define("IMAGE_SUPER_MSG", "Najväčší obrázok");
	define("IMAGE_SUPER_DESC", "obrázok sa zobrazí ako popup v novom okne");
	define("IMAGE_POSITION_MSG", "Umiestnenie obrázku");
	define("UPLOAD_IMAGE_MSG", "Nahrať súbor");
	define("UPLOAD_FILE_MSG", "Nahrať súbor");
	define("SELECT_IMAGE_MSG", "vybrať obrázok");
	define("SELECT_FILE_MSG", "vybrať súbor");
	define("UPLOAD_PHOTO_MSG", "Upload Photo");
	define("MANAGE_PHOTOS_MSG", "Manage Photos");
	define("SHOW_BELOW_PRODUCT_IMAGE_MSG", "zobraziť obrázok pod veľkým obrázkom produktu");
	define("SHOW_IN_SEPARATE_SECTION_MSG", "zobraziť obrázok v samostatnej sekcii obrázkov");
	define("IS_APPROVED_MSG", "Schválený");
	define("NOT_APPROVED_MSG", "Neschválený");
	define("IS_ACTIVE_MSG", "Aktívny");
	define("CATEGORY_MSG", "Kategória");
	define("SELECT_CATEGORY_MSG", "Vyberte kategóriu");
	define("REDIRECT_TO_CATEGORY_MSG", "Redirect to Category");
	define("DESCRIPTION_MSG", "Popis");
	define("SHORT_DESCRIPTION_MSG", "Krátky popis");
	define("FULL_DESCRIPTION_MSG", "Plný popis");
	define("HIGHLIGHTS_MSG", "Zvýraznené");
	define("SPECIAL_OFFER_MSG", "Mimoriadna ponuka");
	define("ARTICLE_MSG", "Článok");
	define("OTHER_MSG", "Iné");
	define("MEASUREMENT_UNITS_MSG", "Measurement Units");
	define("WIDTH_MSG", "Šírka");
	define("HEIGHT_MSG", "Výška");
	define("LENGTH_MSG", "Dĺžka");
	define("WEIGHT_MSG", "Hmotnosť");
	define("QUANTITY_MSG", "Množstvo");
	define("CALENDAR_MSG", "Kalendár");
	define("FROM_DATE_MSG", "Od dátumu");
	define("TO_DATE_MSG", "Do dátumu");
	define("TIME_PERIOD_MSG", "Časové obdobie");
	define("GROUP_BY_MSG", "Zoskupiť podľa");
	define("BIRTHDAY_MSG", "Dátum narodenia");
	define("BIRTH_DATE_MSG", "Deň narodenia");
	define("BIRTH_YEAR_MSG", "Rok narodenia");
	define("BIRTH_MONTH_MSG", "Mesiac narodenia");
	define("BIRTH_DAY_MSG", "Deň narodenia");
	define("STEP_NUMBER_MSG", "Krok {current_step} z {total_steps}");
	define("WHERE_STATUS_IS_MSG", "Kde stav je");
	define("ID_MSG", "ID");
	define("QTY_MSG", "ks");
	define("TYPE_MSG", "Typ");
	define("NAME_MSG", "Meno");
	define("TITLE_MSG", "Názov");
	define("DEFAULT_MSG", "Predvolené");
	define("OPTIONS_MSG", "Možnosti");
	define("EDIT_MSG", "Zmeniť");
	define("MULTI_EDIT_MSG", "Multi-edit");
	define("CONFIRM_DELETE_MSG", "Chcete zmazať {record_name}?");
	define("DESC_MSG", "Zostupne");
	define("ASC_MSG", "Vzostupne");
	define("ACTIVE_MSG", "Aktívny");
	define("INACTIVE_MSG", "Neaktívny");
	define("EXPIRED_MSG", "Vypršaný");
	define("EMOTICONS_MSG", "Emotikony");
	define("EMOTION_ICONS_MSG", "Emotikony (smajlíci)");
	define("VIEW_MORE_EMOTICONS_MSG", "Zobraziť viac emotikon");
	define("SITE_NAME_MSG", "Názov stránky");
	define("SITE_URL_MSG", "URL stránky");
	define("SORT_ORDER_MSG", "Zoradenie");
	define("NEW_MSG", "Nový");
	define("USED_MSG", "Použitý");
	define("REFURBISHED_MSG", "Repasovaný");
	define("ADD_NEW_MSG", "Pridať nový");
	define("SETTINGS_MSG", "Nastavenia");
	define("VIEW_MSG", "Zobraziť");
	define("STATUS_MSG", "Stav");
	define("NONE_MSG", "Žiadny");
	define("PRICE_MSG", "Cena");
	define("TEXT_MSG", "Text");
	define("WARNING_MSG", "Upozornenie");
	define("HIDDEN_MSG", "Skrytý");
	define("CODE_MSG", "Kód");
	define("LANGUAGE_MSG", "Jazyk");
	define("DEFAULT_VIEW_TYPE_MSG", "Typ predvoleného zobrazenia");
	define("CLICK_TO_OPEN_SECTION_MSG", "Pre otvorenie kliknite");
	define("CURRENCY_WRONG_VALUE_MSG", "Kód meny má nesprávnu hodnotu");
	define("TRANSACTION_AMOUNT_DOESNT_MATCH_MSG", "<b>Množstvo transakcií</b> a <b>Množstvo objednávok</b> nesedia");
	define("STATUS_CANT_BE_UPDATED_MSG", "Stav objednávky #{order_id} sa nedá zmeniť.");
	define("CANT_FIND_STATUS_MSG", "Nemôžem nájsť status s ID:{status_id}");
	define("NOTIFICATION_SENT_MSG", "Notifikácia odoslaná");
	define("AUTO_SUBMITTED_PAYMENT_MSG", "Automaticky odoslaná platba");
	define("FONT_METRIC_FILE_ERROR", "Nemôžem načítaťsúbor metrických fontov");
	define("PER_LINE_MSG", "na riadok");
	define("PER_LETTER_MSG", "na písmeno");
	define("PER_NON_SPACE_LETTER_MSG", "na písmeno iné ako medzera");
	define("LETTERS_ALLOWED_MSG", "povolené písmená");
	define("LETTERS_ALLOWED_PER_LINEMSG", "povolených písmen na riadok");
	define("RENAME_MSG", "Premenovať");
	define("IMAGE_FORMAT_ERROR_MSG", "formát obrázku nie je podporovaný GD knižnicou");
	define("GD_LIBRARY_ERROR_MSG", "GD knižnica nebola načítaná");
	define("INVALID_CODE_MSG", "Nesprávny kód: ");
	define("INVALID_CODE_TYPE_MSG", "nesprávny typ kódu");
	define("INVALID_FILE_EXTENSION_MSG", "Nesprávna koncovka súboru:");
	define("FOLDER_WRITE_PERMISSION_MSG", "Adresár neexistuje alebo nemáte prístup k adresáru");
	define("UNDEFINED_RECORD_PARAMETER_MSG", "Nedefinovaný parameter záznamu: <b>{parameter_name}</b>");
	define("MAX_RECORDS_LIMITATION_MSG", "Nemáte povolené pridať viac ako <b>{max_records}</b> {records_name} pre vašu verziu");
	define("ACCESS_DENIED_MSG", "Nemáte prístup do zvolenej sekcie.");
	define("DELETE_RECORDS_BEFORE_PROCEED_MSG", "Pred pokračovaním zmažte prosím nejaké {records_name}");
	define("FOLDER_DOESNT_EXIST_MSG", "Adresár neexistuje:");
	define("FILE_DOESNT_EXIST_MSG", "Súbor neexistuje:");
	define("PARSE_ERROR_IN_BLOCK_MSG", "Chyba parsovania v bloku:");
	define("BLOCK_DOENT_EXIST_MSG", "Blok neexistuje:");
	define("NUMBER_OF_ELEMENTS_MSG", "Počet prvkov");
	define("MISSING_COMPONENT_MSG", "Chýba prvok/parameter.");
	define("RELEASES_TITLE", "Vydania");
	define("DETAILED_MSG", "Detaily");
	define("LIST_MSG", "Zoznam");
	define("READONLY_MSG", "Len na čítanie");
	define("CREDIT_MSG", "Kredit");
	define("ONLINE_MSG", "Online");
	define("OFFLINE_MSG", "Offline");
	define("SMALL_CART_MSG", "Malý košík");
	define("NEVER_MSG", "Nikdy");
	define("SEARCH_EXACT_WORD_OR_PHRASE", "presné slovo alebo výraz");
	define("SEARCH_ONE_OR_MORE", "jedno alebo viac týchto slov");
	define("SEARCH_ALL", "všetky tieto slová");
	define("RELATED_ARTICLES_MSG", "Súvisiace články");
	define("RELATED_FORUMS_MSG", "Súvisiace fóra");
	define("APPEARANCE_MSG", "Vzhľad");
	define("REMOVE_FILTER_MSG", "odstrániť filter");

	define("RECORD_UPDATED_MSG", "Záznam bol úspešne aktualizovaný.");
	define("RECORD_ADDED_MSG", "Nový záznam bol úspešne pridaný.");
	define("RECORD_DELETED_MSG", "Záznam bol úspešne zmazaný.");
	define("FAST_PRODUCT_ADDING_MSG", "Rýchle pridávanie produktov");
	define("CHANGES_SAVED_MSG", "Zmeny uložené");
	define("CURRENT_SUBSCRIPTION_MSG", "Súčasné predplatné");
	define("SUBSCRIPTION_EXPIRATION_MSG", "Dátum expirácie predplatného");
	define("UPGRADE_DOWNGRADE_MSG", "Upgrade/Downgrade");
	define("SUBSCRIPTION_MONEY_BACK_MSG", "Prihlásenie na vrátenie peňazí");
	define("MONEY_TO_CREDITS_BALANCE_MSG", "peniaze budú pridané na váš kredit.");
	define("USED_VOUCHERS_MSG", "Použité kupóny");
	define("VOUCHERS_TOTAL_MSG", "Spolu kupóny");
	define("SUBSCRIPTIONS_GROUPS_MSG", "Skupiny na prihlásenie");
	define("SUBSCRIPTIONS_GROUP_MSG", "Skupina na prihlásenie");
	define("SUBSCRIPTIONS_MSG", "Predplatné");
	define("SUBSCRIPTION_START_DATE_MSG", "Začiatok predplatného");
	define("SUBSCRIPTION_EXPIRY_DATE_MSG", "Koniec predplatného");
	define("RECALCULATE_COMMISSIONS_AND_POINTS_MSG", "Automaticky prerátať provízie a body za tento produkt z ceny");
	define("SUBSCRIPTION_PAGE_MSG", "Prihlasovacia stránka");
	define("SUBSCRIPTION_WITHOUT_REGISTRATION_MSG", "Užívateľ sa môže prihlásiť do tohto košíka bez registrácie");
	define("SUBSCRIPTION_REQUIRE_REGISTRATION_MSG", "Užívateľ musí mať platné konto pred vstupom na stránku s prihlásením");

	define("MATCH_EXISTED_PRODUCTS_MSG", "Súhlasí s existujúcimi produktami");
	define("MATCH_BY_ITEM_CODE_MSG", "podľa kódu produktu.");
	define("MATCH_BY_MANUFACTURER_CODE_MSG", "podľa kódu výrobcu");
	define("DISPLAY_COMPONENTS_AND_OPTIONS_LIST_MSG", "Zobraziť možnosti a zoznam komponentov");
	define("AS_LIST_MSG", "ako zoznam");
	define("AS_TABLE_MSG", "ako tabuľka");

	define("ACCOUNT_SUBSCRIPTION_MSG", "Registrácia konta");
	define("ACCOUNT_SUBSCRIPTION_DESC", "Pre aktiváciu tohoto konta, musí užívateľ zaplatiž registračný poplatok");
	define("SUBSCRIPTION_CANCELLATION_MSG", "Zrušenie registrácie");
	define("CONFIRM_CANCEL_SUBSCRIPTION_MSG", "Ste si istí, že chcete zrušiť túto registráciu?");
	define("CONFIRM_RETURN_SUBSCRIPTION_MSG", "Ste si istí, že chcete zrušiť túto registráciu a vrátiť {credits_amount} na kredit?");
	define("CANCEL_SUBSCRIPTION_MSG", "Zrušiť registráciu");
	define("DONT_RETURN_MONEY_MSG", "Nevrátiť peniaze");
	define("RETURN_MONEY_TO_CREDITS_BALANCE_MSG", "Vrátiť peniaze za nevyužité obdobie registrácie na kredit");
	define("UPGRADE_DOWNGRADE_TYPE_MSG", "Užívateľ môže upgradovať/downgradovať jeho typ konta");

	define("PREDEFINED_TYPES_MSG", "Preddefinované typy");
	define("SHIPPING_TAX_PERCENT_MSG", "Percento dane za poštovné");
	define("PACKAGES_NUMBER_MSG", "Počet balení");
	define("PER_PACKAGE_MSG", "na balenie");
	define("CURRENCY_SHOW_DESC", "užívateľ si môže vybraž túto menu, v ktorej bude mať zobrazené ceny");
	define("CURRENCY_DEFAULT_SHOW_DESC", "všetky ceny budú zobrazené v tejto predvolenej mene");
	define("RECOMMENDED_MSG", "Odporúčané");
	define("UPDATE_STATUS_MSG", "Aktualizovať stav");

	define("FIRST_CONTROLS_ARE_FREE_MSG", "Prvých {free_price_amount} ovládačov je zdarma");
	define("FIRST_LETTERS_ARE_FREE_MSG", "Prvých  {free_price_amount} písmen je zdarma");
	define("FIRST_NONSPACE_LETTERS_ARE_FREE_MSG", "Prvých   {free_price_amount} nemedzerových znakov je zdarma");

	// email & SMS messages
	define("EMAIL_NOTIFICATION_MSG", "E-mailová notifikácia");
	define("EMAIL_NOTIFICATION_ADMIN_MSG", "E-mailová notifikácia administrátorovi");
	define("EMAIL_NOTIFICATION_USER_MSG", "E-mailová notifikácia užívateľovi");
	define("EMAIL_SEND_ADMIN_MSF", "Odoslať notifikáciu administrátorovi ");
	define("EMAIL_SEND_USER_MSG", "Odoslať notifikáciu užívateľovi");
	define("EMAIL_USER_IF_STATUS_MSG", "Odoslať e-mail notifikáciu užívateľovi, ak je nastavený tento stav");
	define("EMAIL_TO_MSG", "Pre");
	define("EMAIL_TO_USER_DESC", "Použiť zákazníkov e-mail ak je prázdny");
	define("EMAIL_FROM_MSG", "Od");
	define("EMAIL_CC_MSG", "Cc");
	define("EMAIL_BCC_MSG", "Bcc");
	define("EMAIL_REPLY_TO_MSG", "Odpovedať");
	define("EMAIL_RETURN_PATH_MSG", "Správa vrátenia");
	define("EMAIL_SUBJECT_MSG", "Predmet");
	define("EMAIL_MESSAGE_TYPE_MSG", "Typ správy");
	define("EMAIL_MESSAGE_MSG", "Správa");
	define("SMS_NOTIFICATION_MSG", "SMS Notifikácia");
	define("SMS_NOTIFICATION_ADMIN_MSG", "SMS notifikácia administrátorovi");
	define("SMS_NOTIFICATION_USER_MSG", "SMS notifikácia užívateľovi ");
	define("SMS_SEND_ADMIN_MSG", "Odoslať SMS notifikáciu administrátrovi");
	define("SMS_SEND_USER_MSG", "Odoslať SMS notifikáciu užívateľovi ");
	define("SMS_USER_IF_STATUS_MSG", "Odoslať SMS notifikáciu užívateľovi, ak je nastavený tento stav");
	define("SMS_RECIPIENT_MSG", "SMS príjemca");
	define("SMS_RECIPIENT_ADMIN_DESC", "administrátorove číslo na mobil");
	define("SMS_RECIPIENT_USER_DESC", "ak je prázdne použije sa hodnota z poľa 'Mobil'");
	define("SMS_ORIGINATOR_MSG", "SMS Odosielateľ");
	define("SMS_MESSAGE_MSG", "SMS správa");

	// account messages
	define("LOGIN_AS_MSG", "Ste prihlasení ako {user_name} ");
	define("LOGIN_INFO_MSG", "Informácia o užívateľovi");
	define("ACCESS_HOME_MSG", "Pre vstup na Vašu domovskú stránku");
	define("REMEMBER_LOGIN_MSG", "Zapamätať si moje prihlasovacie údaje");
	define("ENTER_LOGIN_MSG", "Pre pokračovanie zadajte Vaše meno a heslo");
	define("LOGIN_PASSWORD_ERROR", "Meno alebo heslo je nesprávne");
	define("ACCOUNT_APPROVE_ERROR", "Ľutujeme, Vaše konto ešte nebolo schválené.");
	define("ACCOUNT_EXPIRED_MSG", "Vaše konto vypršalo");
	define("SESSION_EXPIRED_MSG", "Vaša relácia vypršala");
	define("NEW_PROFILE_ERROR", "Nemáte oprávnenia na vytvorenie nového konta.");
	define("EDIT_PROFILE_ERROR", "Nemáte opávnenia na zmeny tohto profilu.");
	define("CHANGE_DETAILS_MSG", "Zmeniť Vaše údaje");
	define("CHANGE_DETAILS_DESC", "Kliknite na linku hore, pokiaľ chcete zmeniť kontaktné alebo prihlasovacie informácie, ktoré ste zadali pri vytváraní Vášho konta.");
	define("CHANGE_PASSWORD_MSG", "Zmeniť heslo");
	define("CHANGE_PASSWORD_DESC", "Nasledujúca linka Vás odvedie na stránku, kde si môžete zmeniť heslo.");
	define("SIGN_UP_MSG", "Prihlásiť sa");
	define("MY_ACCOUNT_MSG", "Môj profil");
	define("NEW_USER_MSG", "Nový užívateľ");
	define("EXISTS_USER_MSG", "Existujúci užívatelia");
	define("EDIT_PROFILE_MSG", "Zmeň profil");
	define("PERSONAL_DETAILS_MSG", "Osobné údaje");
	define("DELIVERY_DETAILS_MSG", "Doručovacie údaje");
	define("SAME_DETAILS_MSG", "Ak sú doručovacie údaje rovnaké ako osobné, kliknite sem <br> ak nie, vyplňte prosím nasledujúce údaje");
	define("DELIVERY_MSG", "Doručenie");
	define("SUBSCRIBE_CHECKBOX_MSG", "Prosím zaškrtnite toto políčko ak chcete dostávať naše novinky emailom.");
	define("ADDITIONAL_DETAILS_MSG", "Ďaľšie podrobnosti");
	define("GUEST_MSG", "Hosť");
	define("USER_MSG", "Užívateľ");
	define("SELECT_USER_MSG", "vybrať užívateľa");

	// ads messages
	define("MY_ADS_MSG", "Moja inzercia");
	define("MY_ADS_DESC", "Ak máte tovar, ktorý by ste radi predali, umiestnite svoj inzerát sem. Je to rýchla a jednoduchá cesta ako pridať inzerát.");
	define("AD_GENERAL_MSG", "Všeobecné informácie");
	define("ALL_ADS_MSG", "All Ads");
	define("AD_SELLER_MSG", "Inzerent");
	define("AD_START_MSG", "Začiatok");
	define("AD_RUNS_MSG", "Dĺžka trvania");
	define("AD_QTY_MSG", "Množstvo");
	define("AD_AVAILABILITY_MSG", "Dostupnosť");
	define("AD_COMPARED_MSG", "Povoliť porovnanie inzerátu");
	define("AD_UPLOAD_MSG", "Nahrať obrázok");
	define("AD_LOCATION_MSG", "Miesto");
	define("AD_LOCATION_INFO_MSG", "Dodatočné informácie");
	define("AD_PROPERTIES_MSG", "Nastavenia inzerátu");
	define("AD_SPECIFICATION_MSG", "Špecifikácia inzerátu");
	define("AD_MORE_IMAGES_MSG", "Viac obrázkov");
	define("AD_IMAGE_DESC_MSG", "Popis obrázku");
	define("AD_DELETE_CONFIRM_MSG", "Chcete zmazať tento inzerát?");
	define("AD_NOT_APPROVED_MSG", "Neschválený");
	define("AD_RUNNING_MSG", "Bežiaci");
	define("AD_CLOSED_MSG", "Zatvorený");
	define("AD_NOT_STARTED_MSG", "Nespustený");
	define("AD_NEW_ERROR", "Nemáte oprávnenia na vytvorenie nového inzerátu.");
	define("AD_EDIT_ERROR", "Nemáte oprávnenia na zmenu tohto inzerátu.");
	define("AD_DELETE_ERROR", "Nemáte oprávnenia na vymazanie tohto inzerátu.");
	define("NO_ADS_MSG", "Žiadne inzeráty v tejto kategórii neboli nájdené");
	define("NO_AD_MSG", "Žiadny inzerát s týmto ID nebol v tejto kategórii nájdený");
	define("FOUND_ADS_MSG", "Našiel som <b>{found_records}</b> inzerátov obsahujúcich (s) '<b>{search_string}</b>'");
	define("AD_OFFER_MESSAGE_MSG", "Ponuka");
	define("AD_OFFER_LOGIN_ERROR", "Pre pokračovanie sa musíte prihlásiť.");
	define("AD_REQUEST_BUTTON", "Poslať dotaz");
	define("AD_SENT_MSG", "Vaša ponuka bola úspešne odoslaná.");
	define("ADS_SETTINGS_MSG", "Nastavenia inzercie");
	define("ADS_DAYS_MSG", "Počet dní trvania inzerátu");
	define("ADS_HOT_DAYS_MSG", "Počet dní trvania 'Mimoriadneho' inzerátu");
	define("AD_HOT_OFFER_MSG", "Mimoriadna ponuka");
	define("AD_HOT_ACTIVATE_MSG", "Pridať inzerát do mimoriadnej sekcie");
	define("AD_HOT_START_MSG", "Začiatok mimoriadnej ponuky");
	define("AD_HOT_DESCRIPTION_MSG", "Hot popis");
	define("ADS_SPECIAL_DAYS_MSG", "Počet dní trvania 'Mimoriadneho' inzerátu");
	define("AD_SPECIAL_OFFER_MSG", "Špeciálna ponuka");
	define("AD_SPECIAL_ACTIVATE_MSG", "Pridať inzerát do sekcie špeciálnej ponuky");
	define("AD_SPECIAL_START_MSG", "Začiatok špeciálnej ponuky");
	define("AD_SPECIAL_DESCRIPTION_MSG", "Popis špeciálnej ponuky");
	define("AD_CREDITS_BALANCE_ERROR", "NEdostatok kreditov na vašom konte, potrebujete ešte {more_credits} pre odoslanie tohoto inzerátu.");
	define("AD_CREDITS_MSG", "Inzertné kredity");
	define("ADS_SPECIAL_OFFERS_SETTINGS_MSG", "Nastavenia špeciálnej ponuky inzercie");
	//ad types
	define("AD_PRODUCT_TYPE_MSG", "Produkt");
	define("AD_ACCESSORY_TYPE_MSG", "Príslušenstvo");

	define("EDIT_DAY_MSG", "Zmenený dňa");
	define("DAYS_PRICE_MSG", "Days Price");
	define("ADS_PUBLISH_PRICE_MSG", "Cena za zverejnenie inzerátu");
	define("DAYS_NUMBER_MSG", "Počet dní");
	define("DAYS_TITLE_MSG", "Názov dní");
	define("USER_ADS_LIMIT_MSG", "Počet inzerátov, ktoré môže užívateľ pridať");
	define("USER_ADS_LIMIT_DESC", "ponechajte toto pole prázdne, pokiaľ nechcete obmedzovať počet inzerátov na užívateľa");
	define("USER_ADS_LIMIT_ERROR", "Nemôžete pridať viac ako {ads_limit} inzerátov.");

	define("ADS_SHOW_TERMS_MSG", "Zobraziť podmienky");
	define("ADS_SHOW_TERMS_DESC", "Pre pridanie inzerátu musí užívateľ súhlasiť s podmienkami");
	define("ADS_TERMS_MSG", "Podmienky");
	define("ADS_TERMS_USER_DESC", "Prečítal som a súhlasím s podmienkami.");
	define("ADS_TERMS_USER_ERROR", "Pre pridanie inzerátu musíte súhlasiť s podmienkami");
	define("ADS_ACTIVATION_MSG", "Aktivácia inzerátov");
	define("ACTIVATE_ADS_MSG", "Aktivovať inzeráty");
	define("ACTIVATE_ADS_NOTE", "automaticky aktivovať všetky inzeráty ak sa im zmení stav na 'Schválené'");
	define("DEACTIVATE_ADS_MSG", "Deaktivovať inzeráty");
	define("DEACTIVATE_ADS_NOTE", "automaticky deaktivovať všetky inzeráty ak sa im zmení stav na 'Neschválené'");

	define("MIN_ALLOWED_ADS_PRICE_MSG", "Najnižšia povolená cena");
	define("MIN_ALLOWED_ADS_PRICE_NOTE", "ponechajte toto pole prázdne, pokiaľ nechcete obmedzovať najnižšiu cenu inzerátov");
	define("MAX_ALLOWED_ADS_PRICE_MSG", "Najvyššia povolená cena");
	define("MAX_ALLOWED_ADS_PRICE_NOTE", "ponechajte toto pole prázdne, pokiaľ nechcete obmedzovať najvyššiu cenu inzerátov");

	// search message
	define("SEARCH_FOR_MSG", "Hľadať text");
	define("SEARCH_IN_MSG", "Hľadať v");
	define("SEARCH_TITLE_MSG", "Názov");
	define("SEARCH_CODE_MSG", "Kód");
	define("SEARCH_SHORT_DESC_MSG", "Krátky popis");
	define("SEARCH_FULL_DESC_MSG", "Úplný popis");
	define("SEARCH_CATEGORY_MSG", "Hľadať v kategórii");
	define("SEARCH_MANUFACTURER_MSG", "Výrobca");
	define("SEARCH_SELLER_MSG", "Predajca");
	define("SEARCH_PRICE_MSG", "Cenový rozsah");
	define("SEARCH_WEIGHT_MSG", "Hmotnostný limit");
	define("SEARCH_RESULTS_MSG", "Výsledky vyhľadávania");
	define("FULL_SITE_SEARCH_MSG", "Hľadať na celej stránke");
	define("KEYWORDS_CRITERION_MSG", "Keywords: <b>{keywords}</b>");
	define("AUTHOR_CRITERION_MSG", "Author: <b>{author}</b>");
	define("CATEGORY_CRITERION_MSG", "Category: <b>{category}</b>");
	define("DATE_CRITERION_MSG", "Date: <b>{date}</b>");
	define("TYPE_CRITERION_MSG", "Type: <b>{type}</b>");
	define("COUNTRY_CRITERION_MSG", "Country: <b>{country}</b>");
	define("STATE_CRITERION_MSG", "State: <b>{state}</b>");
	define("POSTAL_CODE_CRITERION_MSG", "Postal code: <b>{postal_code}</b>");
	define("AGE_CRITERION_MSG", "Age: <b>{age}</b>");

	// compare messages
	define("COMPARE_MSG", "Porovnať");
	define("COMPARE_REMOVE_MSG", "Odstrániť");
	define("COMPARE_REMOVE_HELP_MSG", "Kliknite sem pre odstránenie tohto produktu z tabuľky porovnania");
	define("COMPARE_MIN_ALLOWED_MSG", "Musíte vybrať aspoň 2 produkty");
	define("COMPARE_MAX_ALLOWED_MSG", "Môžete vybrať maximálne 5 produktov");
	define("COMPARE_PARAM_ERROR_MSG", "Porovnávací parameter má nesprávnu hodnotu");

	// Tell a friend messages
	define("TELL_FRIEND_TITLE", "Odporučiť priateľovi");
	define("TELL_FRIEND_SUBJECT_MSG", "Váš priateľ Vám poslal túto linku.");
	define("TELL_FRIEND_DEFAULT_MSG", "Ahoj {friend_name} – pozri si nasledujúci produkt {item_title} na tejto stránke {item_url}");
	define("TELL_YOUR_NAME_FIELD", "Vaše meno");
	define("TELL_YOUR_EMAIL_FIELD", "Váš e-mail");
	define("TELL_FRIENDS_NAME_FIELD", "Meno Vášho priateľa");
	define("TELL_FRIENDS_EMAIL_FIELD", "E-mail Vášho priateľa");
	define("TELL_COMMENT_FIELD", "Poznámka");
	define("TELL_FRIEND_PRIVACY_NOTE_MSG", "UPOZORNENIE: e-mail Vášho priateľa nebude použitý pre žiadne iné účely.");
	define("TELL_SENT_MSG", "Vaša správa bola úspešne odoslaná <br>Ďakujeme!");
	define("TELL_FRIEND_MESSAGE_MSG", "Pozri si nasledujúci produkt {item_title} na {item_url}\\n\\n{user_name} Vám nechal odkaz:\\n{user_comment}");
	define("TELL_FRIEND_PARAM_MSG", "Zadať priateľovú URL");
	define("TELL_FRIEND_PARAM_DESC", "pridá parameter praiteľová URL k 'Upozorniť priateľa' link ak pre užívateľa existuje");
	define("FRIEND_COOKIE_EXPIRES_MSG", "priateľov Cookie vyexpiruje");

	define("CONTACT_US_TITLE", "Kontaktuje nás");
	define("CONTACT_USER_NAME_FIELD", "Vaše meno");
	define("CONTACT_USER_EMAIL_FIELD", "Vaša e-mailová adresa");
	define("CONTACT_SUMMARY_FIELD", "Krátky sumár");
	define("CONTACT_DESCRIPTION_FIELD", "Popis");
	define("CONTACT_REQUEST_SENT_MSG", "Vaša požiadavka bola úspešne odoslaná.");

	// internal messages system
	define("FOLDER_INBOX_MSG", "Inbox");
	define("FOLDER_SENT_MSG", "Sent");
	define("FOLDER_DRAFT_MSG", "Draft");
	define("FOLDER_TRASH_MSG", "Trash");
	define("READ_MSG", "Read");
	define("USER_NOT_FOUND_MSG", "User {username} wasn't found.");
	define("MESSAGE_SAVED_MSG", "Your message has been saved.");
	define("NO_MESSAGES_MSG", "No messages were found");
	define("SEND_ME_MESSAGE_MSG", "Send me a Message");
	define("WRITE_NEW_MESSAGE_MSG", "Write a new Message");
	define("REACH_BOX_LIMIT_MSG", "You reach box limit - {box_limit} messages. Delete some messages before proceed.");
	define("MESSAGES_DAY_LIMIT_ERROR", "You can't send more than {day_limit} messages per day.");

	// buttons
	define("GO_BUTTON", "Odoslať");
	define("CONTINUE_BUTTON", "Pokračovať");
	define("BACK_BUTTON", "Naspäť");
	define("NEXT_BUTTON", "Ďalšia");
	define("PREV_BUTTON", "Predošlá");
	define("SIGN_IN_BUTTON", "Prihlásiť sa");
	define("LOGIN_BUTTON", "Prihlásiť");
	define("LOGOUT_BUTTON", "Odhlásiť");
	define("SEARCH_BUTTON", "Hľadať");
	define("RATE_IT_BUTTON", "Hodnotiť");
	define("ADD_BUTTON", "Pridať");
	define("UPDATE_BUTTON", "Aktualizovať");
	define("APPLY_BUTTON", "Aplikovať");
	define("REGISTER_BUTTON", "Zaregistrovať");
	define("VOTE_BUTTON", "Hlasovať");
	define("CANCEL_BUTTON", "Zrušiť");
	define("CLEAR_BUTTON", "Vymazať");
	define("RESET_BUTTON", "Reset");
	define("DELETE_BUTTON", "Zmazať");
	define("DELETE_ALL_BUTTON", "Zmazať všetky");
	define("SUBSCRIBE_BUTTON", "Zaregistrovať");
	define("UNSUBSCRIBE_BUTTON", "Odregistrovať");
	define("SUBMIT_BUTTON", "Poslať");
	define("UPLOAD_BUTTON", "Nahrať");
	define("SEND_BUTTON", "Poslať");
	define("PREVIEW_BUTTON", "Náhľad");
	define("FILTER_BUTTON", "Filter");
	define("DOWNLOAD_BUTTON", "Stiahnuť");
	define("REMOVE_BUTTON", "Odstrániť");
	define("EDIT_BUTTON", "Upraviť");
	define("CHANGE_BUTTON", "Zmeniť");
	define("SAVE_BUTTON", "Uložiť");
	define("REPLY_BUTTON", "Odpovedať");
	define("FORWARD_BUTTON", "Forward");

	// controls
	define("CHECKBOXLIST_MSG", "Zoznam Checkboxov");
	define("LABEL_MSG", "Label");
	define("LISTBOX_MSG", "ListBox");
	define("RADIOBUTTON_MSG", "Radio Buttons");
	define("TEXTAREA_MSG", "TextArea");
	define("TEXTBOX_MSG", "TextBox");
	define("TEXTBOXLIST_MSG", "Zoznam text boxov");
	define("WIDTH_AND_HEIGHT_MSG", "Width & Height");
	define("IMAGEUPLOAD_MSG", "nahrať obrázok");
	define("IMAGE_SELECT_MSG", "Image Select");
	define("CREDIT_CARD_MSG", "Kreditná karta");
	define("GROUP_MSG", "Skupina");

	// fields
	define("LOGIN_FIELD", "Prihlasovacie meno");
	define("USERNAME_FIELD", "Prihlasovacie meno");
	define("PASSWORD_FIELD", "Heslo");
	define("CONFIRM_PASS_FIELD", "Potvrďte heslo");
	define("NEW_PASS_FIELD", "Nové heslo");
	define("CURRENT_PASS_FIELD", "Súčasné heslo");
	define("FULL_NAME_FIELD", "Meno");
	define("FIRST_NAME_FIELD", "Meno");
	define("LAST_NAME_FIELD", "Priezvisko");
	define("NICKNAME_FIELD", "Prezývka");
	define("PERSONAL_IMAGE_FIELD", "Osobný obrázok");
	define("COMPANY_SELECT_FIELD", "Firma");
	define("SELECT_COMPANY_MSG", "Vyberte firmu");
	define("COMPANY_NAME_FIELD", "Názov firmy");
	define("EMAIL_FIELD", "E-mail");
	define("STREET_FIRST_FIELD", "Adresa ulice 1");
	define("STREET_SECOND_FIELD", "Adresa ulice 2");
	define("CITY_FIELD", "Mesto");
	define("PROVINCE_FIELD", "Okres");
	define("SELECT_STATE_MSG", "Vyberte štát");
	define("STATE_FIELD", "Štát");
	define("ZIP_FIELD", "PSČ");
	define("SELECT_COUNTRY_MSG", "Vyberte krajinu");
	define("COUNTRY_FIELD", "Krajina");
	define("PHONE_FIELD", "Telefón");
	define("DAYTIME_PHONE_FIELD", "Telefón cez deň");
	define("EVENING_PHONE_FIELD", "Telefón večer");
	define("CELL_PHONE_FIELD", "Mobilný telefón");
	define("FAX_FIELD", "Fax");
	define("VALIDATION_CODE_FIELD", "Overovací kód");
	define("AFFILIATE_CODE_FIELD", "Partnerský kód");
	define("AFFILIATE_CODE_HELP_MSG", "Použite nasledovnú URL {affiliate_url} pre vytvorenie parnterského odkazu s našou stránkou");
	define("PAYPAL_ACCOUNT_FIELD", "PayPal konto");
	define("TAX_ID_FIELD", "Číslo dane");
	define("MSN_ACCOUNT_FIELD", "MSN konto");
	define("ICQ_NUMBER_FIELD", "ICQ číslo");
	define("USER_SITE_URL_FIELD", "URL užívateľovej stránky");
	define("HIDDEN_STATUS_FIELD", "Skrytý stav");
	define("HIDE_MY_ONLINE_STATUS_MSG", "Nezobrazovať môj online stav");
	define("SHOW_ON_SITE_FIELD", "Zobraziť na stránke");
	define("SUMMARY_MSG", "Sumár");
	define("MY_ADDRESS_BOOK_MSG", "Moje adresy");
	define("MY_ADDRESS_BOOK_DESC", "Zadajte svoje doručovacie adresy aby ste nabudúce nemuseli zadávať údaje ručne.");
	define("ADDRESS_MSG", "Adresa");
	define("ADDRESS_TYPE_MSG", "Typ adresy");
	define("MY_ADDRESSES_MSG", "Moje adresy");
	define("NO_ADDRESSES_MSG", "Žiadne adresy neboli nájdené");
	define("SELECT_ADDRESS_MSG", "Vybrať adresu");
	define("SELECT_COUNTRY_FIRST_MSG", "Najprv vyberte krajinu");
	define("NO_STATES_FOR_COUNTRY_MSG", "Nie sú dostupné štáty pre vybranú krajinu");
	define("ACCESS_TOKEN_MSG", "Prístupový Token");
	define("MY_MESSAGES_MSG", "My Messages");
	define("MY_MESSAGES_DESC", "Here you can communicate with other users without having to share your e-mail addresses.");
	define("TERMS_MSG", "Podmienky");
	define("TERMS_USER_DESC", "Prečítal som a súhlasím s podmienkami.");

	// general form tabs
	define("GENERAL_TAB", "General");
	define("DESCRIPTION_TAB", "Description");
	define("LOCATION_TAB", "Location");
	define("IMAGES_TAB", "Images");
	define("PHOTOS_TAB", "Photos");

	// no records messages
	define("NO_RECORDS_MSG", "Žiadne záznamy neboli nenájdené");
	define("NO_EVENTS_MSG", "Žiadne udalosti neboli nenájdené");
	define("NO_QUESTIONS_MSG", "Žiadne otázky neboli nenájdené");
	define("NO_NEWS_MSG", "Žiadne nové články neboli nenájdené");
	define("NO_POLLS_MSG", "Žiadne ankety neboli nenájdené");
	define("NO_REMINDERS_MSG", "Žiadne pripomienky neboli nájdené");
	define("NO_DATA_WERE_FOUND_MSG", "No data were found");


	// SMS messages
	define("SMS_TITLE", "SMS");
	define("SMS_TEST_TITLE", "SMS Test");
	define("SMS_TEST_DESC", "Zadajte svoje mobilné číslo a stlačte tlačítko 'ODOSLAŤ'");
	define("INVALID_CELL_PHONE", "Nesprávne mobilné číslo");

	define("ARTICLE_RELATED_PRODUCTS_TITLE", "Produkty súvisiace s článkom");
	define("CATEGORY_RELATED_PRODUCTS_TITLE", "Produkty súvisiace s kategóriou");
	define("SELECT_TYPE_MSG", "Zvoliť typ");
	define("OFFER_PRICE_MSG", "Ponúknuť cenu");
	define("OFFER_MESSAGE_MSG", "Správa ponuky");

	define("MY_WISHLIST_MSG", "Môj Wishlist");
	define("MY_WISHLIST_DESC", "tu môžete nájsť veci uložené na wishlist v minulosti.");
	define("SELECT_WISHLIST_TYPE_MSG", "Prosím vyberte typ pre uloženie produktu na váš wishlist");
	define("MY_REMINDERS_MSG", "Moje pripomienky");
	define("EDIT_REMINDER_MSG", "Upraviť pripomienky");


	define("SELECT_SUBFOLDER_MSG", "Vybrať podadresár");
	define("CURRENT_DIR_MSG", "Súčasný adresár");
	define("NO_AVAILIABLE_CATEGORIES_MSG", "Žiadne kategórie nie sú k dispozícii");
	define("SHOW_FOR_NON_REGISTERED_USERS_MSG", "Zobraziť pre neregistrovaných užívateľov");
	define("SHOW_FOR_REGISTERED_USERS_MSG", "Zobraziť všetkým registrovaným užívateľom");
	define("VIEW_ITEM_IN_THE_LIST_MSG", "Zobraziť produkt v zozname produktov");
	define("ACCESS_DETAILS_MSG", "Detaily prístupu");
	define("ACCESS_ITEMS_DETAILS_MSG", "Detaily prístupu k produktu / kupe produktu");
	define("OTHER_SUBSCRIPTIONS_MSG", "Iné prihlásenia");
	define("USE_CATEGORY_ALL_SITES_MSG", "Použiť túto kategóriu pre všetky stránky (vyprázdnite políčko pre manuálny výber stránok)");
	define("USE_ITEM_ALL_SITES_MSG", "Použiť tento produkt pre všetky stránky (vyprázdnite políčko pre manuálny výber stránok) ");
	define("SAVE_SUBSCRIPTIONS_SETTINGS_BY_CATEGORY_MSG", "Uložiť nastavenia prihlásení z kategórií");
	define("SAVE_SITES_SETTINGS_BY_CATEGORY_MSG", "Uložiť nastavenia stránok z kategórií");
	define("ACCESS_LEVELS_MSG", "Úrovne prístupu");
	define("SITES_MSG", "Stránky");
	define("NON_REGISTERED_USERS_MSG", "Neregistrovaní užívatelia");
	define("REGISTERED_CUSTOMERS_MSG", "Registrovaní užívatelia");
	define("PREVIEW_IN_SEPARATE_SECTION_MSG", "Zobraziť v samostatnej sekcii");
	define("PREVIEW_BELOW_DETAILS_IMAGE_MSG", "Zobraziť pod obrázkom na stránke detailov");
	define("PREVIEW_BELOW_LIST_IMAGE_MSG", "Zobraziť pod obrázkom na stránke zoznamu");
	define("PREVIEW_POSITION_MSG", "Pozícia");
	define("ADMIN_NOTES_MSG", "Administrátorove poznámky");
	define("USER_NOTES_MSG", "Užívateľove poznámky");
	define("CMS_PERMISSIONS_MSG", "CMS práva");
	define("ARTICLES_PERMISSIONS_MSG", "Práva na články");
	define("WISHLIST_MSG", "Wishlist");
	define("TYPE_IS_NOT_AVAILIABLE_MSG", "Typ nie je k dispozícii");
	define("TYPE_IS_NOT_SELECTED_MSG", "Typ nie je vybraný");
	define("SHOW_ALL_MSG", "Zobraziť všetky");

	define("MEMBER_SINCE_MSG", "Člen od");
	define("SITEMAP_TITLE_INDEX", "title");
	define("SITEMAP_URL_INDEX", "url");
	define("SITEMAP_SUBS_INDEX", "subs");

	define("HOT_RELEASES_MSG", "Hot vydania");
	define("PAY_FOR_AD_MSG", "Zaplatiť za inzerát");
	define("CHECK_SITE_MSG", "skontrolovať stránku");

	define("CONTACT_US_MSG", "Kontaktujte nás");
	define("REGISTERED_USERS_ALLOWED_MESSAGES_MSG", "Iba registrovaní užívatelia môžu odosielať správy.");
	define("NOT_ALLOWED_SEND_MESSAGES_MSG", "nemáte povolené odosielať správy.");
	define("MESSAGE_SENT_MSG", "vaša správa bola úspešne odoslaná");
	define("MESSAGE_INTERVAL_ERROR", "Počkajte prosím {interval_time} pre odoslanie vašej správy.");
	define("ONE_LINE_SUMMARY_MSG", "Predmet");
	define("DETAILED_COMMENT_MSG", "Detailné pripomienky");
	define("REMINDER_MSG", "Pripomienka");
	define("CHAINED_MENU_TITLE", "Reťazové Menu");
	//article statuses
	define("ARTICLE_NEW_MSG", "Nový");
	define("ARTICLE_PUBLISHED_MSG", "Publikovaný");
	define("ARTICLE_PENDING_MSG", "Čaká");
	define("ARTICLE_HIDDEN_MSG", "Skrytý");
	//priorities
	define("PRIORITY_HIGH_MSG", "Vysoká");
	define("PRIORITY_NORMAL_MSG", "Normálna");
	define("PRIORITY_LOW_MSG", "Nízka");
	//customer types
	define("CUSTOMER_TYPE_MSG", "Zákazník");
	//cookies constants
	define("COOKIE_CONTROL_MSG", "Ovládanie Cookies");
	define("COOKIE_INFO_MSG", "<b>Cookies Control</b><br /><br />Táto stránka využíva cookies pre ukladanie informácií na váš počítač. Ak vypnete cookies, niektoré funkcie stránky nebudú fungovať.<br /><a href=\"page.php?page=use_of_cookies\">Čítať viac</a><br /><br />ponechať cookies?");
	define("CALL_CENTER_MODE_MSG", "Ste v <b>Call Center móde</b>. Všetky nákupy ktoré vidíte, súp viditeľné len pre vás ako administrátora. <b>Odhláste</b> sa z admin panelu pre prechod do normálneho módu.");

?>